Bug 737489 - VDSM - Storage: Deactivate succeeds but disconnect fails for ISO domain in use
Summary: VDSM - Storage: Deactivate succeeds but disconnect fails for ISO domain in use
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: 6.1
Assignee: Dan Kenigsberg
QA Contact: Daniel Paikov
URL:
Whiteboard: Storage
Depends On:
Blocks: 703726
TreeView+ depends on / blocked
 
Reported: 2011-09-12 09:46 UTC by Daniel Paikov
Modified: 2013-07-04 07:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 12:42:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
vdsm.log (819.43 KB, application/x-gzip)
2011-09-12 09:46 UTC, Daniel Paikov
no flags Details

Description Daniel Paikov 2011-09-12 09:46:21 UTC
Created attachment 522671 [details]
vdsm.log

The fix for backend bug #703726 exposed the following bug in VDSM:

* Start VM with connected ISO image.
* Deactivate ISO domain.
* Deactivate succeeds but disconnectStorageServer fails.

Thread-193432::INFO::2011-09-11
15:20:12,542::dispatcher::94::Storage.Dispatcher.Protect::(run) Run and
protect: disconnectStorageServer, args: (domType=1, spUUID=000000
00-0000-0000-0000-000000000000, conList=[{'connection':
'qanashead.qa.lab.tlv.redhat.com:/export/shared_iso_domain', 'iqn': '',
'portal': '', 'user': '', 'password': '**
****', 'id': '13cf9c55-2133-4e42-a3d4-cedb1e637c55', 'port': ''}])
Thread-193432::INFO::2011-09-11
15:20:13,052::dispatcher::100::Storage.Dispatcher.Protect::(run) Run and
protect: disconnectStorageServer, Return response: {'status': {'
message': 'OK', 'code': 0}, 'statuslist': [{'status': 452, 'id':
'13cf9c55-2133-4e42-a3d4-cedb1e637c55'}]}


Note You need to log in before you can comment on or make changes to this bug.